aboutsummaryrefslogtreecommitdiffstats
path: root/jsaccess/store.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jsaccess/store.sh')
-rwxr-xr-xjsaccess/store.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/jsaccess/store.sh b/jsaccess/store.sh
index ec4d167..d730160 100755
--- a/jsaccess/store.sh
+++ b/jsaccess/store.sh
@@ -30,6 +30,13 @@ fi
clear_path=$1
clear_name=`basename $clear_path`
+# Check for dependencies
+if [ X"`which base64`" == X"" \
+ -o X"`which openssl`" == X"" ]; then
+ echo "You need to have openssl and base64 available in your path !"
+ exit 1
+fi
+
# Initialize temporary stuff
sumask=$(umask)
umask 077